############################################################################
# -*- coding: utf-8 -*-
#   Copyright © 2014 Harald Sitter                                         #
#   Copyright © 2015 Philip Muskovac                                       #
#   Copyright © 2015 Jonathan Riddell                                      #
#   Copyright © 2015-2016 José Manuel Santamaría Lema <panfaust@gmail.com> #
#                                                                          #
#   This program is free software; you can redistribute it and/or modify   #
#   it under the terms of the GNU General Public License as published by   #
#   the Free Software Foundation; either version 2 of the License, or      #
#   (at your option) any later version.                                    #
############################################################################


import json
import os

#FIXME: Remove this, scripts in KA must be importing this modules directly
#       this is here just for compatibility
from libka.package_info import *
from libka.kde_ftp import *
from libka.ka_configuration import *

def readAllFromFile(filename):
    f = open(filename, "r")
    result = f.read()
    f.close()
    return result

#FIXME: Stop using this function; use readPackagesFile from ka_data_utils instead
def readPackages(filename):
    f = open(filename, "r")
    packages = f.readlines()
    f.close()

    packages = map(lambda line: line.strip("\r\n\t "), packages)
    packages = filter(lambda line: line and not line.startswith("#"), packages)

    return packages

#FIXME: This function and the usage of this function must be removed,
# hardcoding the upstream names in a JSON file is a source of problems
def upstreamName(package):
    cwd = os.path.dirname(os.path.realpath(__file__))
    with open(cwd + "/../upstream-names.json") as upstreamfile:
        pkgmap = json.load(upstreamfile)
        if package in pkgmap:
          return pkgmap[package]
        else:
          return package

#FIXME: This function and the usage of this function must be removed,
# we have conf/git-clone-all-maps/* for this
def repoName(package):
    cwd = os.path.dirname(os.path.realpath(__file__))
    with open(cwd + "/../repo-names.json") as repofile:
        pkgmap = json.load(repofile)
        if package in pkgmap:
          return pkgmap[package]
        else:
          return package



# vim: expandtab ts=4
